Skip to content
WP Engine Documentation

Refresh disk usage for the given WordPress site environment

POST
/installs/{install_id}/usage/refresh_disk_usage
curl --request POST \
--url https://api.wpengineapi.com/v1/installs/example/usage/refresh_disk_usage \
--header 'Authorization: Basic <credentials>'

Triggers an asynchronous job to recalculate the disk usage for the given WordPress site environment.

This endpoint initiates the refresh process and returns immediately with a success status. It does not return the updated usage data.

To check the status of the job and view the new data once it’s available, you must poll for daily usage metrics at GET /installs/{install_id}/usage. The estimated time of completion can be viewed in daily usage metrics as the storage_refresh_expected_time field. If the field is null, the job has already completed.

The last time storage was refreshed can be viewed in the storage_update_time field of daily usage metrics.

Multiple requests for the same environment will result in a single recalculation.

install_id
required
string format: uuid

The UUID of the install.

OK. The disk usage refresh has been successfully initiated. The response body for this request is always null.

Media type application/json

Bad Request

Media type application/json

Authentication Error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Bad Credentials"
}

Not authorized

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "You don't have permission to perform that action"
}

Not found

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Not Found"
}

Too many requests

Media type application/json

Internal server error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
Example
{
"message": "An unexpected error occurred, please try again in a few minutes"
}

An invalid response was received from an upstream server

Media type application/json

Service unavailable

Media type application/json

An unexpected error response.

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
Example
{
"message": "An unexpected error occurred, please try again in a few minutes"
}